# scaleway_volume – Scaleway volumes management module

New in version 2.7.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module manages volumes on Scaleway account https://developer.scaleway.com

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_timeout integer | Default: 30 | HTTP timeout to Scaleway API in seconds. aliases: timeout
api_token string |  | Scaleway OAuth token. aliases: oauth_token
api_url string | Default: "https://api.scaleway.com" | Scaleway API URL. aliases: base_url
name - / required |  | Name used to identify the volume.
organization - |  | ScaleWay organization ID to which volume belongs.
query_parameters dictionary | Default: {} | List of parameters passed to the query string.

region
- / required

Choices:
- ams1
- EMEA-NL-EVS
- par1
- EMEA-FR-PAR1

Scaleway region to use (for example par1).

size - |  | Size of the volume in bytes.

state
-

Choices:
- present ←
- absent

Indicate desired state of the volume.

validate_certs
boolean

Choices:
- no
- yes ←

Validate SSL certs of the Scaleway API.

volume_type - |  | Type of the volume (for example 'l_ssd').

## Notes

Note

- Also see the API documentation on https://developer.scaleway.com/

- If `api_token` is not set within the module, the following environment variables can be used in decreasing order of precedence `SCW_TOKEN`, `SCW_API_KEY`, `SCW_OAUTH_TOKEN` or `SCW_API_TOKEN`.

- If one wants to use a different `api_url` one can also set the `SCW_API_URL` environment variable.

## Examples

    - name: Create 10GB volume
      scaleway_volume:
        name: my-volume
        state: present
        region: par1
        organization: "{{ scw_org }}"
        "size": 10000000000
        volume_type: l_ssd
      register: server_creation_check_task

    - name: Make sure volume deleted
      scaleway_volume:
        name: my-volume
        state: absent
        region: par1

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data dictionary | when `state=present` | This is only present when `state=present` Sample: {'volume': {'export_uri': None, 'id': 'c675f420-cfeb-48ff-ba2a-9d2a4dbe3fcd', 'name': 'volume-0-3', 'organization': '000a115d-2852-4b0a-9ce8-47f1134ba95a', 'server': None, 'size': 10000000000, 'volume_type': 'l_ssd'}}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Henryk Konsek (@hekonsek)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.